Subject: [art] [Technical Errata Reported] RFC7578 (5616)

From: RFC Errata System <[email-masked]>
Date: Tue, 29 Jan 2019 19:40:48 -0800 (PST)

The following errata report has been submitted for RFC7578,
"Returning Values from Forms: multipart/form-data".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5616

--------------------------------------
Type: Technical
Reported by: Philip McGrath <[email-masked]>

Section: 4.5

Original Text
-------------
For example, a form with a text field in
which a user typed "Joe owes <eu>100", where <eu> is the Euro symbol,
might have form data returned as:
    --AaB03x
    content-disposition: form-data; name="field1"
    content-type: text/plain;charset=UTF-8
    content-transfer-encoding: quoted-printable

    Joe owes =E2=82=AC100.
    --AaB03x

Corrected Text
--------------
For example, a form with a text field in
which a user typed "Joe owes <eu>100", where <eu> is the Euro symbol,
might have form data returned as:
    --AaB03x
    content-disposition: form-data; name="field1"
    content-type: text/plain;charset=UTF-8
    content-transfer-encoding: quoted-printable

    Joe owes <eu>100.
    --AaB03x

Notes
-----
Section 4.7 says that "Senders SHOULD NOT generate any parts with a Content-Transfer-Encoding header field."

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7578 (draft-ietf-appsawg-multipart-form-data-11)
--------------------------------------
Title               : Returning Values from Forms: multipart/form-data
Publication Date    : July 2015
Author(s)           : L. Masinter
Category            : PROPOSED STANDARD
Source              : ART Area General Application Working Group
Area                : Applications and Real-Time
Stream              : IETF
Verifying Party     : IESG

---

From: Julian Reschke <[email-masked]>
Date: Wed, 30 Jan 2019 07:07:25 +0100

On 2019-01-30 04:40, RFC Errata System wrote:
> ...

Is this erratum about the encoding used in the payload, or about the 
presence of C-T-E? Please clarify.

Best regards, Julian

---

From: [email-masked] (Dale R. Worley)
Date: Wed, 30 Jan 2019 22:10:22 -0500

RFC Errata System <[email-masked]> writes:
> [RFC7578] Section: 4.5

The "Original Text" gives an example, which seems to me to be correct.
However, as the erratum notes, the example violates the SHOULD NOT in
section 4.7.  And as section 4.7 notes, "Currently, no deployed
implementations that send such bodies have been discovered.", suggesting
that the example is not representative of current practice.

But the proposed "Corrected Text" is itself incorrect, in that the
Content-Transfer-Encoding header is still present -- the given body
isn't valid for quoted-printable.

Dale

---

From: "John Levine" <[email-masked]>
Date: 31 Jan 2019 13:20:19 -0500

>isn't valid for quoted-printable.

I'd leave it alone.  The example makes sense as is -- we don't
encourage encoding the data but if you have to, here's how to do it.

At most hold for update to either redo the example with no encoding or
add a warning about why this is a bad example.

-- 
Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. https://jl.ly

---

From: Alessandro Vesely <[email-masked]>
Date: Thu, 31 Jan 2019 19:53:09 +0100

> add a warning about why this is a bad example.

Redoing the example without visible encoding (possibly writing € instead of
<eu>) would make little sense, as the reader cannot check what character set is
being used, which is what the example means to show.  Alternatively, it could
say "where <eu> is the Euro symbol encoded in UTF-8", to make the example
comprehensible, but still less clear than it is now.

Best
Ale
--